Bug 75515 - Parse errors compiling with ldap.h
Parse errors compiling with ldap.h
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap12 (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 09:51 EDT by Thomas Bridge
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Bridge 2002-10-09 09:51:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Hotbar 3.0; 
T312461; Q312461)

Description of problem:
I have upgraded openldap-devel to the latest release from updates.redhat.com 
for the 6.2 releases.

When I try to include ldap.h in a piece of code (or another program which needs 
it tries it) we get a number of parse errors with the ldap.h file.

This is causing a problem compiling Free Radius 0.7 with LDAP support.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Write hello.c and add ldap.h to the #include list
2. compile helloworld.c
3. see parse error list.
	

Actual Results:  I couldn't compile test.c

Expected Results:  test.c should have compiled normally.

Additional info:

[thomas@pi thomas]$ gcc -o hell test.c
In file included from test.c:1:
/usr/include/ldap.h:302: parse error before `BerElement'
/usr/include/ldap.h:302: warning: no semicolon at end of struct or union
/usr/include/ldap.h:306: parse error before `}'
/usr/include/ldap.h:306: warning: data definition has no type or storage class
/usr/include/ldap.h:371: parse error before `LDAPMessage'
/usr/include/ldap.h:371: warning: no semicolon at end of struct or union
/usr/include/ldap.h:372: warning: data definition has no type or storage class
/usr/include/ldap.h:380: parse error before `}'
/usr/include/ldap.h:380: warning: data definition has no type or storage class
/usr/include/ldap.h:424: parse error before `Sockbuf'
/usr/include/ldap.h:424: warning: no semicolon at end of struct or union
/usr/include/ldap.h:450: parse error before `*'
/usr/include/ldap.h:450: warning: data definition has no type or storage class
/usr/include/ldap.h:452: parse error before `*'
/usr/include/ldap.h:452: warning: data definition has no type or storage class
/usr/include/ldap.h:455: parse error before `*'
/usr/include/ldap.h:455: warning: data definition has no type or storage class
/usr/include/ldap.h:470: parse error before `ld_lber_encode_translate_proc'
/usr/include/ldap.h:470: warning: data definition has no type or storage class
/usr/include/ldap.h:471: parse error before `ld_lber_decode_translate_proc'
/usr/include/ldap.h:471: warning: data definition has no type or storage class
/usr/include/ldap.h:480: warning: data definition has no type or storage class
/usr/include/ldap.h:524: parse error before `*'
/usr/include/ldap.h:529: parse error before `*'
/usr/include/ldap.h:530: parse error before `*'
/usr/include/ldap.h:535: parse error before `*'
/usr/include/ldap.h:536: parse error before `*'
/usr/include/ldap.h:537: parse error before `*'
/usr/include/ldap.h:538: parse error before `*'
/usr/include/ldap.h:544: parse error before `*'
/usr/include/ldap.h:545: parse error before `*'
/usr/include/ldap.h:550: parse error before `*'
/usr/include/ldap.h:551: parse error before `*'
/usr/include/ldap.h:552: parse error before `*'
/usr/include/ldap.h:553: parse error before `*'
/usr/include/ldap.h:554: parse error before `*'
/usr/include/ldap.h:560: parse error before `*'
/usr/include/ldap.h:561: parse error before `*'
/usr/include/ldap.h:562: parse error before `*'
/usr/include/ldap.h:563: parse error before `*'
/usr/include/ldap.h:564: parse error before `*'
/usr/include/ldap.h:565: parse error before `*'
/usr/include/ldap.h:566: parse error before `*'
/usr/include/ldap.h:571: parse error before `*'
/usr/include/ldap.h:572: parse error before `*'
/usr/include/ldap.h:577: parse error before `*'
/usr/include/ldap.h:578: parse error before `*'
/usr/include/ldap.h:583: parse error before `*'
/usr/include/ldap.h:585: parse error before `*'
/usr/include/ldap.h:590: parse error before `*'
/usr/include/ldap.h:591: parse error before `*'
/usr/include/ldap.h:596: parse error before `*'
/usr/include/ldap.h:597: parse error before `*'
/usr/include/ldap.h:598: parse error before `*'
/usr/include/ldap.h:600: parse error before `*'
/usr/include/ldap.h:606: parse error before `*'
/usr/include/ldap.h:606: warning: data definition has no type or storage class
/usr/include/ldap.h:607: parse error before `*'
/usr/include/ldap.h:607: warning: data definition has no type or storage class
/usr/include/ldap.h:612: parse error before `*'
/usr/include/ldap.h:612: parse error before `*'
/usr/include/ldap.h:612: warning: data definition has no type or storage class
/usr/include/ldap.h:613: parse error before `*'
/usr/include/ldap.h:613: parse error before `*'
/usr/include/ldap.h:613: warning: data definition has no type or storage class
/usr/include/ldap.h:614: parse error before `*'
/usr/include/ldap.h:619: parse error before `*'
/usr/include/ldap.h:619: parse error before `*'
/usr/include/ldap.h:620: warning: data definition has no type or storage class
/usr/include/ldap.h:621: parse error before `*'
/usr/include/ldap.h:626: parse error before `*'
/usr/include/ldap.h:635: parse error before `*'
/usr/include/ldap.h:637: parse error before `*'
/usr/include/ldap.h:643: parse error before `*'
/usr/include/ldap.h:644: parse error before `*'
/usr/include/ldap.h:654: parse error before `*'
/usr/include/ldap.h:656: parse error before `*'
/usr/include/ldap.h:657: parse error before `*'
/usr/include/ldap.h:662: parse error before `*'
/usr/include/ldap.h:664: parse error before `*'
/usr/include/ldap.h:666: parse error before `*'
/usr/include/ldap.h:672: parse error before `*'
/usr/include/ldap.h:673: `ldap_ufn_search_c' declared as function returning a 
function
/usr/include/ldap.h:674: parse error before `void'
/usr/include/ldap.h:675: parse error before `*'
/usr/include/ldap.h:676: `ldap_ufn_search_ct' declared as function returning a 
function
/usr/include/ldap.h:677: parse error before `void'
/usr/include/ldap.h:678: parse error before `*'
/usr/include/ldap.h:680: parse error before `*'
/usr/include/ldap.h:681: parse error before `*'
/usr/include/ldap.h:688: parse error before `*'
/usr/include/ldap.h:689: parse error before `*'
/usr/include/ldap.h:722: parse error before `*'
/usr/include/ldap.h:722: warning: data definition has no type or storage class
/usr/include/ldap.h:723: parse error before `*'
/usr/include/ldap.h:724: parse error before `*'
/usr/include/ldap.h:726: parse error before `*'
/usr/include/ldap.h:732: parse error before `*'
/usr/include/ldap.h:734: parse error before `)'
/usr/include/ldap.h:735: parse error before `*'
/usr/include/ldap.h:736: parse error before `)'
/usr/include/ldap.h:746: parse error before `*'
/usr/include/ldap.h:747: parse error before `*'
/usr/include/ldap.h:749: parse error before `*'
/usr/include/ldap.h:756: parse error before `*'
/usr/include/ldap.h:758: parse error before `*'
/usr/include/ldap.h:760: parse error before `*'
/usr/include/ldap.h:762: parse error before `*'
Comment 1 Bill Nottingham 2006-08-07 13:55:21 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:59:10 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.